# SphinxClient::setServer

(PECL sphinx >= 0.1.0)

SphinxClient::setServer — Set searchd host and port

### Description

public SphinxClient::setServer ( string `$server` , int `$port` ) : bool

Sets searchd host name and TCP port. All subsequent requests will use the new host and port settings. Default host and port are 'localhost' and 3312, respectively.

### Parameters

`server`

  IP or hostname.

`port`

  Port number.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.